#!/bin/bash

if [ -f cronosagent.conf ]
then
  # Read configuration from text file
  source cronosagent.conf
fi

if [ -f /etc/config/brandmeister ]
then
  # Read configuration from uCU/LuCI on OpenWRT
  REPEATER_NUMBER=$(uci get cronosagent.number)
  REPEATER_ADDRESS=$(uci get cronosagent.repeaterAddress)
  SERVER_ADDRESS=$(uci get cronosagent.serverAddress)
  SERVER_PASSWORD=$(uci get cronosagent.serverPassword)
fi

if [ -n "$1" ]
then
  # 1 - print to standard output
  # 2 - print to system log
  # 6 - run as daemon and print to system log
  SERVICE_MODE=$1
fi

./cronosagent \
  --trap-port 8162 \
  --repeater-number ${REPEATER_NUMBER} \
  --repeater-address ${REPEATER_ADDRESS} \
  --server-password ${SERVER_PASSWORD} \
  --server-address ${SERVER_ADDRESS} \
  --service-mode ${SERVICE_MODE}
